Home | History | Annotate | Download | only in elfutils
      1 # Makefile.in generated by automake 1.10.1 from Makefile.am.
      2 # @configure_input@
      3 
      4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
      5 # 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
      6 # This Makefile.in is free software; the Free Software Foundation
      7 # gives unlimited permission to copy and/or distribute it,
      8 # with or without modifications, as long as this notice is preserved.
      9 
     10 # This program is distributed in the hope that it will be useful,
     11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
     12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
     13 # PARTICULAR PURPOSE.
     14 
     15 @SET_MAKE@
     16 
     17 VPATH = @srcdir@
     18 pkgdatadir = $(datadir)/@PACKAGE@
     19 pkglibdir = $(libdir)/@PACKAGE@
     20 pkgincludedir = $(includedir)/@PACKAGE@
     21 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
     22 install_sh_DATA = $(install_sh) -c -m 644
     23 install_sh_PROGRAM = $(install_sh) -c
     24 install_sh_SCRIPT = $(install_sh) -c
     25 INSTALL_HEADER = $(INSTALL_DATA)
     26 transform = $(program_transform_name)
     27 NORMAL_INSTALL = :
     28 PRE_INSTALL = :
     29 POST_INSTALL = :
     30 NORMAL_UNINSTALL = :
     31 PRE_UNINSTALL = :
     32 POST_UNINSTALL = :
     33 build_triplet = @build@
     34 host_triplet = @host@
     35 subdir = .
     36 DIST_COMMON = README $(am__configure_deps) $(pkginclude_HEADERS) \
     37 	$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
     38 	$(srcdir)/config.h.in $(top_srcdir)/config/elfutils.spec.in \
     39 	$(top_srcdir)/config/version.h.in $(top_srcdir)/configure \
     40 	ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS THANKS TODO
     41 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
     42 am__aclocal_m4_deps = $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
     43 	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
     44 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
     45 	$(ACLOCAL_M4)
     46 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
     47  configure.lineno config.status.lineno
     48 mkinstalldirs = $(install_sh) -d
     49 CONFIG_HEADER = config.h
     50 CONFIG_CLEAN_FILES = elfutils.spec version.h
     51 SOURCES =
     52 DIST_SOURCES =
     53 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
     54 	html-recursive info-recursive install-data-recursive \
     55 	install-dvi-recursive install-exec-recursive \
     56 	install-html-recursive install-info-recursive \
     57 	install-pdf-recursive install-ps-recursive install-recursive \
     58 	installcheck-recursive installdirs-recursive pdf-recursive \
     59 	ps-recursive uninstall-recursive
     60 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
     61 am__vpath_adj = case $$p in \
     62     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
     63     *) f=$$p;; \
     64   esac;
     65 am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
     66 am__installdirs = "$(DESTDIR)$(pkgincludedir)"
     67 pkgincludeHEADERS_INSTALL = $(INSTALL_HEADER)
     68 HEADERS = $(pkginclude_HEADERS)
     69 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
     70   distclean-recursive maintainer-clean-recursive
     71 ETAGS = etags
     72 CTAGS = ctags
     73 DIST_SUBDIRS = $(SUBDIRS)
     74 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
     75 distdir = $(PACKAGE)-$(VERSION)
     76 top_distdir = $(distdir)
     77 am__remove_distdir = \
     78   { test ! -d $(distdir) \
     79     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
     80          && rm -fr $(distdir); }; }
     81 GZIP_ENV = --best
     82 DIST_ARCHIVES = $(distdir).tar.bz2
     83 distuninstallcheck_listfiles = find . -type f -print
     84 distcleancheck_listfiles = find . -type f -print
     85 ACLOCAL = @ACLOCAL@
     86 AMTAR = @AMTAR@
     87 AUTOCONF = @AUTOCONF@
     88 AUTOHEADER = @AUTOHEADER@
     89 AUTOMAKE = @AUTOMAKE@
     90 AWK = @AWK@
     91 CC = @CC@
     92 CCDEPMODE = @CCDEPMODE@
     93 CFLAGS = @CFLAGS@
     94 CPPFLAGS = @CPPFLAGS@
     95 CYGPATH_W = @CYGPATH_W@
     96 DATADIRNAME = @DATADIRNAME@
     97 DEBUGPRED = @DEBUGPRED@
     98 DEFS = @DEFS@
     99 DEPDIR = @DEPDIR@
    100 ECHO_C = @ECHO_C@
    101 ECHO_N = @ECHO_N@
    102 ECHO_T = @ECHO_T@
    103 EXEEXT = @EXEEXT@
    104 GMSGFMT = @GMSGFMT@
    105 GMSGFMT_015 = @GMSGFMT_015@
    106 INSTALL = @INSTALL@
    107 INSTALL_DATA = @INSTALL_DATA@
    108 INSTALL_PROGRAM = @INSTALL_PROGRAM@
    109 INSTALL_SCRIPT = @INSTALL_SCRIPT@
    110 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
    111 LDFLAGS = @LDFLAGS@
    112 LEX = @LEX@
    113 LEXLIB = @LEXLIB@
    114 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
    115 LIBEBL_SUBDIR = @LIBEBL_SUBDIR@
    116 LIBOBJS = @LIBOBJS@
    117 LIBS = @LIBS@
    118 LOCALEDIR = @LOCALEDIR@
    119 LTLIBOBJS = @LTLIBOBJS@
    120 MAINT = @MAINT@
    121 MAKEINFO = @MAKEINFO@
    122 MKDIR_P = @MKDIR_P@
    123 MODVERSION = @MODVERSION@
    124 MSGFMT = @MSGFMT@
    125 MSGFMT_015 = @MSGFMT_015@
    126 MSGMERGE = @MSGMERGE@
    127 OBJEXT = @OBJEXT@
    128 PACKAGE = @PACKAGE@
    129 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
    130 PACKAGE_NAME = @PACKAGE_NAME@
    131 PACKAGE_STRING = @PACKAGE_STRING@
    132 PACKAGE_TARNAME = @PACKAGE_TARNAME@
    133 PACKAGE_VERSION = @PACKAGE_VERSION@
    134 PATH_SEPARATOR = @PATH_SEPARATOR@
    135 RANLIB = @RANLIB@
    136 SET_MAKE = @SET_MAKE@
    137 SHELL = @SHELL@
    138 STRIP = @STRIP@
    139 USE_NLS = @USE_NLS@
    140 VERSION = @VERSION@
    141 XGETTEXT = @XGETTEXT@
    142 XGETTEXT_015 = @XGETTEXT_015@
    143 YACC = @YACC@
    144 YFLAGS = @YFLAGS@
    145 abs_builddir = @abs_builddir@
    146 abs_srcdir = @abs_srcdir@
    147 abs_top_builddir = @abs_top_builddir@
    148 abs_top_srcdir = @abs_top_srcdir@
    149 ac_ct_CC = @ac_ct_CC@
    150 am__include = @am__include@
    151 am__leading_dot = @am__leading_dot@
    152 am__quote = @am__quote@
    153 am__tar = @am__tar@
    154 am__untar = @am__untar@
    155 base_cpu = @base_cpu@
    156 bindir = @bindir@
    157 build = @build@
    158 build_alias = @build_alias@
    159 build_cpu = @build_cpu@
    160 build_os = @build_os@
    161 build_vendor = @build_vendor@
    162 builddir = @builddir@
    163 datadir = @datadir@
    164 datarootdir = @datarootdir@
    165 docdir = @docdir@
    166 dvidir = @dvidir@
    167 eu_version = @eu_version@
    168 exec_prefix = @exec_prefix@
    169 host = @host@
    170 host_alias = @host_alias@
    171 host_cpu = @host_cpu@
    172 host_os = @host_os@
    173 host_vendor = @host_vendor@
    174 htmldir = @htmldir@
    175 includedir = @includedir@
    176 infodir = @infodir@
    177 install_sh = @install_sh@
    178 libdir = @libdir@
    179 libexecdir = @libexecdir@
    180 localedir = @localedir@
    181 localstatedir = @localstatedir@
    182 mandir = @mandir@
    183 mkdir_p = @mkdir_p@
    184 oldincludedir = @oldincludedir@
    185 pdfdir = @pdfdir@
    186 prefix = @prefix@
    187 program_transform_name = @program_transform_name@
    188 psdir = @psdir@
    189 sbindir = @sbindir@
    190 sharedstatedir = @sharedstatedir@
    191 srcdir = @srcdir@
    192 sysconfdir = @sysconfdir@
    193 target_alias = @target_alias@
    194 top_build_prefix = @top_build_prefix@
    195 top_builddir = @top_builddir@
    196 top_srcdir = @top_srcdir@
    197 ACLOCAL_AMFLAGS = -I m4
    198 pkginclude_HEADERS = version.h
    199 
    200 # Add doc back when we have some real content.
    201 SUBDIRS = config m4 lib libelf libebl libdwfl libdw libcpu libasm backends \
    202 	  src po tests
    203 
    204 EXTRA_DIST = elfutils.spec GPG-KEY NOTES EXCEPTION
    205 
    206 # Make sure the test install uses lib64 when $LIB will yield lib64.
    207 # Make sure the test build uses the same compiler, which on e.g. ppc64
    208 # determines which platform we are actually testing.
    209 DISTCHECK_CONFIGURE_FLAGS = \
    210 	--libdir=`echo $(libdir) | sed "s,^$(exec_prefix),$$dc_install_base,"`\
    211 	CC="$(CC)"
    212 
    213 all: config.h
    214 	$(MAKE) $(AM_MAKEFLAGS) all-recursive
    215 
    216 .SUFFIXES:
    217 am--refresh:
    218 	@:
    219 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
    220 	@for dep in $?; do \
    221 	  case '$(am__configure_deps)' in \
    222 	    *$$dep*) \
    223 	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnits '; \
    224 	      cd $(srcdir) && $(AUTOMAKE) --gnits  \
    225 		&& exit 0; \
    226 	      exit 1;; \
    227 	  esac; \
    228 	done; \
    229 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnits  Makefile'; \
    230 	cd $(top_srcdir) && \
    231 	  $(AUTOMAKE) --gnits  Makefile
    232 .PRECIOUS: Makefile
    233 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
    234 	@case '$?' in \
    235 	  *config.status*) \
    236 	    echo ' $(SHELL) ./config.status'; \
    237 	    $(SHELL) ./config.status;; \
    238 	  *) \
    239 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
    240 	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
    241 	esac;
    242 
    243 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
    244 	$(SHELL) ./config.status --recheck
    245 
    246 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
    247 	cd $(srcdir) && $(AUTOCONF)
    248 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
    249 	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
    250 
    251 config.h: stamp-h1
    252 	@if test ! -f $@; then \
    253 	  rm -f stamp-h1; \
    254 	  $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
    255 	else :; fi
    256 
    257 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
    258 	@rm -f stamp-h1
    259 	cd $(top_builddir) && $(SHELL) ./config.status config.h
    260 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
    261 	cd $(top_srcdir) && $(AUTOHEADER)
    262 	rm -f stamp-h1
    263 	touch $@
    264 
    265 distclean-hdr:
    266 	-rm -f config.h stamp-h1
    267 elfutils.spec: $(top_builddir)/config.status $(top_srcdir)/config/elfutils.spec.in
    268 	cd $(top_builddir) && $(SHELL) ./config.status $@
    269 version.h: $(top_builddir)/config.status $(top_srcdir)/config/version.h.in
    270 	cd $(top_builddir) && $(SHELL) ./config.status $@
    271 install-pkgincludeHEADERS: $(pkginclude_HEADERS)
    272 	@$(NORMAL_INSTALL)
    273 	test -z "$(pkgincludedir)" || $(MKDIR_P) "$(DESTDIR)$(pkgincludedir)"
    274 	@list='$(pkginclude_HEADERS)'; for p in $$list; do \
    275 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
    276 	  f=$(am__strip_dir) \
    277 	  echo " $(pkgincludeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(pkgincludedir)/$$f'"; \
    278 	  $(pkgincludeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(pkgincludedir)/$$f"; \
    279 	done
    280 
    281 uninstall-pkgincludeHEADERS:
    282 	@$(NORMAL_UNINSTALL)
    283 	@list='$(pkginclude_HEADERS)'; for p in $$list; do \
    284 	  f=$(am__strip_dir) \
    285 	  echo " rm -f '$(DESTDIR)$(pkgincludedir)/$$f'"; \
    286 	  rm -f "$(DESTDIR)$(pkgincludedir)/$$f"; \
    287 	done
    288 
    289 # This directory's subdirectories are mostly independent; you can cd
    290 # into them and run `make' without going through this Makefile.
    291 # To change the values of `make' variables: instead of editing Makefiles,
    292 # (1) if the variable is set in `config.status', edit `config.status'
    293 #     (which will cause the Makefiles to be regenerated when you run `make');
    294 # (2) otherwise, pass the desired values on the `make' command line.
    295 $(RECURSIVE_TARGETS):
    296 	@failcom='exit 1'; \
    297 	for f in x $$MAKEFLAGS; do \
    298 	  case $$f in \
    299 	    *=* | --[!k]*);; \
    300 	    *k*) failcom='fail=yes';; \
    301 	  esac; \
    302 	done; \
    303 	dot_seen=no; \
    304 	target=`echo $@ | sed s/-recursive//`; \
    305 	list='$(SUBDIRS)'; for subdir in $$list; do \
    306 	  echo "Making $$target in $$subdir"; \
    307 	  if test "$$subdir" = "."; then \
    308 	    dot_seen=yes; \
    309 	    local_target="$$target-am"; \
    310 	  else \
    311 	    local_target="$$target"; \
    312 	  fi; \
    313 	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
    314 	  || eval $$failcom; \
    315 	done; \
    316 	if test "$$dot_seen" = "no"; then \
    317 	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
    318 	fi; test -z "$$fail"
    319 
    320 $(RECURSIVE_CLEAN_TARGETS):
    321 	@failcom='exit 1'; \
    322 	for f in x $$MAKEFLAGS; do \
    323 	  case $$f in \
    324 	    *=* | --[!k]*);; \
    325 	    *k*) failcom='fail=yes';; \
    326 	  esac; \
    327 	done; \
    328 	dot_seen=no; \
    329 	case "$@" in \
    330 	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
    331 	  *) list='$(SUBDIRS)' ;; \
    332 	esac; \
    333 	rev=''; for subdir in $$list; do \
    334 	  if test "$$subdir" = "."; then :; else \
    335 	    rev="$$subdir $$rev"; \
    336 	  fi; \
    337 	done; \
    338 	rev="$$rev ."; \
    339 	target=`echo $@ | sed s/-recursive//`; \
    340 	for subdir in $$rev; do \
    341 	  echo "Making $$target in $$subdir"; \
    342 	  if test "$$subdir" = "."; then \
    343 	    local_target="$$target-am"; \
    344 	  else \
    345 	    local_target="$$target"; \
    346 	  fi; \
    347 	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
    348 	  || eval $$failcom; \
    349 	done && test -z "$$fail"
    350 tags-recursive:
    351 	list='$(SUBDIRS)'; for subdir in $$list; do \
    352 	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
    353 	done
    354 ctags-recursive:
    355 	list='$(SUBDIRS)'; for subdir in $$list; do \
    356 	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
    357 	done
    358 
    359 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
    360 	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
    361 	unique=`for i in $$list; do \
    362 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
    363 	  done | \
    364 	  $(AWK) '{ files[$$0] = 1; nonemtpy = 1; } \
    365 	      END { if (nonempty) { for (i in files) print i; }; }'`; \
    366 	mkid -fID $$unique
    367 tags: TAGS
    368 
    369 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
    370 		$(TAGS_FILES) $(LISP)
    371 	tags=; \
    372 	here=`pwd`; \
    373 	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
    374 	  include_option=--etags-include; \
    375 	  empty_fix=.; \
    376 	else \
    377 	  include_option=--include; \
    378 	  empty_fix=; \
    379 	fi; \
    380 	list='$(SUBDIRS)'; for subdir in $$list; do \
    381 	  if test "$$subdir" = .; then :; else \
    382 	    test ! -f $$subdir/TAGS || \
    383 	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
    384 	  fi; \
    385 	done; \
    386 	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
    387 	unique=`for i in $$list; do \
    388 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
    389 	  done | \
    390 	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
    391 	      END { if (nonempty) { for (i in files) print i; }; }'`; \
    392 	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
    393 	  test -n "$$unique" || unique=$$empty_fix; \
    394 	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
    395 	    $$tags $$unique; \
    396 	fi
    397 ctags: CTAGS
    398 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
    399 		$(TAGS_FILES) $(LISP)
    400 	tags=; \
    401 	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
    402 	unique=`for i in $$list; do \
    403 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
    404 	  done | \
    405 	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
    406 	      END { if (nonempty) { for (i in files) print i; }; }'`; \
    407 	test -z "$(CTAGS_ARGS)$$tags$$unique" \
    408 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
    409 	     $$tags $$unique
    410 
    411 GTAGS:
    412 	here=`$(am__cd) $(top_builddir) && pwd` \
    413 	  && cd $(top_srcdir) \
    414 	  && gtags -i $(GTAGS_ARGS) $$here
    415 
    416 distclean-tags:
    417 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
    418 
    419 distdir: $(DISTFILES)
    420 	@case `sed 15q $(srcdir)/NEWS` in \
    421 	*"$(VERSION)"*) : ;; \
    422 	*) \
    423 	  echo "NEWS not updated; not releasing" 1>&2; \
    424 	  exit 1;; \
    425 	esac
    426 	$(am__remove_distdir)
    427 	test -d $(distdir) || mkdir $(distdir)
    428 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
    429 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
    430 	list='$(DISTFILES)'; \
    431 	  dist_files=`for file in $$list; do echo $$file; done | \
    432 	  sed -e "s|^$$srcdirstrip/||;t" \
    433 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
    434 	case $$dist_files in \
    435 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
    436 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
    437 			   sort -u` ;; \
    438 	esac; \
    439 	for file in $$dist_files; do \
    440 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
    441 	  if test -d $$d/$$file; then \
    442 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
    443 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
    444 	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
    445 	    fi; \
    446 	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
    447 	  else \
    448 	    test -f $(distdir)/$$file \
    449 	    || cp -p $$d/$$file $(distdir)/$$file \
    450 	    || exit 1; \
    451 	  fi; \
    452 	done
    453 	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
    454 	  if test "$$subdir" = .; then :; else \
    455 	    test -d "$(distdir)/$$subdir" \
    456 	    || $(MKDIR_P) "$(distdir)/$$subdir" \
    457 	    || exit 1; \
    458 	    distdir=`$(am__cd) $(distdir) && pwd`; \
    459 	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
    460 	    (cd $$subdir && \
    461 	      $(MAKE) $(AM_MAKEFLAGS) \
    462 	        top_distdir="$$top_distdir" \
    463 	        distdir="$$distdir/$$subdir" \
    464 		am__remove_distdir=: \
    465 		am__skip_length_check=: \
    466 	        distdir) \
    467 	      || exit 1; \
    468 	  fi; \
    469 	done
    470 	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
    471 	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
    472 	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
    473 	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
    474 	|| chmod -R a+r $(distdir)
    475 dist-gzip: distdir
    476 	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
    477 	$(am__remove_distdir)
    478 dist-bzip2: distdir
    479 	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
    480 	$(am__remove_distdir)
    481 
    482 dist-lzma: distdir
    483 	tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
    484 	$(am__remove_distdir)
    485 
    486 dist-tarZ: distdir
    487 	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
    488 	$(am__remove_distdir)
    489 
    490 dist-shar: distdir
    491 	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
    492 	$(am__remove_distdir)
    493 
    494 dist-zip: distdir
    495 	-rm -f $(distdir).zip
    496 	zip -rq $(distdir).zip $(distdir)
    497 	$(am__remove_distdir)
    498 
    499 dist dist-all: distdir
    500 	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
    501 	$(am__remove_distdir)
    502 
    503 # This target untars the dist file and tries a VPATH configuration.  Then
    504 # it guarantees that the distribution is self-contained by making another
    505 # tarfile.
    506 distcheck: dist
    507 	case '$(DIST_ARCHIVES)' in \
    508 	*.tar.gz*) \
    509 	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
    510 	*.tar.bz2*) \
    511 	  bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
    512 	*.tar.lzma*) \
    513 	  unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\
    514 	*.tar.Z*) \
    515 	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
    516 	*.shar.gz*) \
    517 	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
    518 	*.zip*) \
    519 	  unzip $(distdir).zip ;;\
    520 	esac
    521 	chmod -R a-w $(distdir); chmod a+w $(distdir)
    522 	mkdir $(distdir)/_build
    523 	mkdir $(distdir)/_inst
    524 	chmod a-w $(distdir)
    525 	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
    526 	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
    527 	  && $(MAKE) $(AM_MAKEFLAGS) distcheck-hook \
    528 	  && cd $(distdir)/_build \
    529 	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
    530 	    $(DISTCHECK_CONFIGURE_FLAGS) \
    531 	  && $(MAKE) $(AM_MAKEFLAGS) \
    532 	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
    533 	  && $(MAKE) $(AM_MAKEFLAGS) check \
    534 	  && $(MAKE) $(AM_MAKEFLAGS) install \
    535 	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
    536 	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
    537 	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
    538 	        distuninstallcheck \
    539 	  && chmod -R a-w "$$dc_install_base" \
    540 	  && ({ \
    541 	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
    542 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
    543 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
    544 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
    545 	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
    546 	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
    547 	  && rm -rf "$$dc_destdir" \
    548 	  && $(MAKE) $(AM_MAKEFLAGS) dist \
    549 	  && rm -rf $(DIST_ARCHIVES) \
    550 	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
    551 	$(am__remove_distdir)
    552 	@(echo "$(distdir) archives ready for distribution: "; \
    553 	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
    554 	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
    555 distuninstallcheck:
    556 	@cd $(distuninstallcheck_dir) \
    557 	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
    558 	   || { echo "ERROR: files left after uninstall:" ; \
    559 	        if test -n "$(DESTDIR)"; then \
    560 	          echo "  (check DESTDIR support)"; \
    561 	        fi ; \
    562 	        $(distuninstallcheck_listfiles) ; \
    563 	        exit 1; } >&2
    564 distcleancheck: distclean
    565 	@if test '$(srcdir)' = . ; then \
    566 	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
    567 	  exit 1 ; \
    568 	fi
    569 	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
    570 	  || { echo "ERROR: files left in build directory after distclean:" ; \
    571 	       $(distcleancheck_listfiles) ; \
    572 	       exit 1; } >&2
    573 check-am: all-am
    574 check: check-recursive
    575 all-am: Makefile $(HEADERS) config.h
    576 installdirs: installdirs-recursive
    577 installdirs-am:
    578 	for dir in "$(DESTDIR)$(pkgincludedir)"; do \
    579 	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
    580 	done
    581 install: install-recursive
    582 install-exec: install-exec-recursive
    583 install-data: install-data-recursive
    584 uninstall: uninstall-recursive
    585 
    586 install-am: all-am
    587 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
    588 
    589 installcheck: installcheck-recursive
    590 install-strip:
    591 	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
    592 	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
    593 	  `test -z '$(STRIP)' || \
    594 	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
    595 mostlyclean-generic:
    596 
    597 clean-generic:
    598 
    599 distclean-generic:
    600 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
    601 
    602 maintainer-clean-generic:
    603 	@echo "This command is intended for maintainers to use"
    604 	@echo "it deletes files that may require special tools to rebuild."
    605 clean: clean-recursive
    606 
    607 clean-am: clean-generic mostlyclean-am
    608 
    609 distclean: distclean-recursive
    610 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
    611 	-rm -f Makefile
    612 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
    613 
    614 dvi: dvi-recursive
    615 
    616 dvi-am:
    617 
    618 html: html-recursive
    619 
    620 info: info-recursive
    621 
    622 info-am:
    623 
    624 install-data-am: install-pkgincludeHEADERS
    625 
    626 install-dvi: install-dvi-recursive
    627 
    628 install-exec-am:
    629 
    630 install-html: install-html-recursive
    631 
    632 install-info: install-info-recursive
    633 
    634 install-man:
    635 
    636 install-pdf: install-pdf-recursive
    637 
    638 install-ps: install-ps-recursive
    639 
    640 installcheck-am:
    641 
    642 maintainer-clean: maintainer-clean-recursive
    643 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
    644 	-rm -rf $(top_srcdir)/autom4te.cache
    645 	-rm -f Makefile
    646 maintainer-clean-am: distclean-am maintainer-clean-generic
    647 
    648 mostlyclean: mostlyclean-recursive
    649 
    650 mostlyclean-am: mostlyclean-generic
    651 
    652 pdf: pdf-recursive
    653 
    654 pdf-am:
    655 
    656 ps: ps-recursive
    657 
    658 ps-am:
    659 
    660 uninstall-am: uninstall-pkgincludeHEADERS
    661 
    662 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) install-am \
    663 	install-strip
    664 
    665 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
    666 	all all-am am--refresh check check-am clean clean-generic \
    667 	ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
    668 	dist-lzma dist-shar dist-tarZ dist-zip distcheck distclean \
    669 	distclean-generic distclean-hdr distclean-tags distcleancheck \
    670 	distdir distuninstallcheck dvi dvi-am html html-am info \
    671 	info-am install install-am install-data install-data-am \
    672 	install-dvi install-dvi-am install-exec install-exec-am \
    673 	install-html install-html-am install-info install-info-am \
    674 	install-man install-pdf install-pdf-am \
    675 	install-pkgincludeHEADERS install-ps install-ps-am \
    676 	install-strip installcheck installcheck-am installdirs \
    677 	installdirs-am maintainer-clean maintainer-clean-generic \
    678 	mostlyclean mostlyclean-generic pdf pdf-am ps ps-am tags \
    679 	tags-recursive uninstall uninstall-am \
    680 	uninstall-pkgincludeHEADERS
    681 
    682 
    683 distcheck-hook:
    684 	chmod -R u+w $(distdir)
    685 
    686 rpm: dist
    687 	rpmbuild -ts --sign elfutils-@PACKAGE_VERSION (a] .tar.gz
    688 
    689 # Tell version 3.79 and up of GNU make to not build goals in this
    690 # directory in parallel.
    691 .NOTPARALLEL:
    692 # Tell versions [3.59,3.63) of GNU make to not export all variables.
    693 # Otherwise a system limit (for SysV at least) may be exceeded.
    694 .NOEXPORT:
    695